//
//  EHTicketAddController.h
//  EweiSDK
//
//  Created by Kiwi on 2018/1/25.
//  Copyright © 2018年 infocare. All rights reserved.
//

#import "EHViewController.h"
#import "EHTicket.h"

@class EHTicketAddController;



@protocol EHTicketAddControllerDelegate <UINavigationControllerDelegate>

@optional

- (void)EHTicketAddControllerDidComplete:(EHTicketAddController*)controller ticket:(EHTicket*)ticket;

- (void)EHTicketAddControllerDidCancel;

@end



@interface EHTicketAddController : UINavigationController

@property (unsafe_unretained, nonatomic) id <EHTicketAddControllerDelegate> delegate;

/*
 默认 title 为 “提交工单”
 */
- (instancetype)initWithTitle:(NSString*)title;

@end
